Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.util
Class ReportMenuFactory

    java.lang.Object
      org.apache.jmeter.gui.util.ReportMenuFactory

    public final class ReportMenuFactory

extends Object

Field Summary
`static String` | `CONFIG_ELEMENTS`
`static String` | `CONTROLLERS`
`static String` | `LISTENERS`
`static String` | `NON_TEST_ELEMENTS`
`static String` | `POST_PROCESSORS`
`static String` | `PRE_PROCESSORS`
`static String` | `REPORT_PAGE`
`static String` | `TABLES`
`static String` | `TIMERS`

Method Summary
`static void` | `addEditMenu(JPopupMenu menu, boolean removable)`
`static void` | `addFileMenu(JPopupMenu menu)`
`static JPopupMenu` | `getDefaultAssertionMenu()`
`static JPopupMenu` | `getDefaultConfigElementMenu()`
`static JPopupMenu` | `getDefaultControllerMenu()`
`static JPopupMenu` | `getDefaultExtractorMenu()`
`static JPopupMenu` | `getDefaultTimerMenu()`
`static JPopupMenu` | `getDefaultVisualizerMenu()`
`static JMenu` | `makeMenu(Collection<MenuInfo> menuInfo, String actionCommand, String menuName)`
`static JMenu` | `makeMenu(String category, String actionCommand)`
`static JMenuItem` | `makeMenuItem(String label, String name, String actionCommand)`
`static JMenuItem` | `makeMenuItem(String label, String name, String actionCommand, KeyStroke accel)`
`static JMenu` | `makeMenus(String[] categories, String label, String actionCommand)`
`static void` | `setEnabled(JMenu menu)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIMERS

    public static final String TIMERS

See Also:
  Constant Field Values

### CONTROLLERS

    public static final String CONTROLLERS

See Also:
  Constant Field Values

### CONFIG_ELEMENTS

    public static final String CONFIG_ELEMENTS

See Also:
  Constant Field Values

### POST_PROCESSORS

    public static final String POST_PROCESSORS

See Also:
  Constant Field Values

### PRE_PROCESSORS

    public static final String PRE_PROCESSORS

See Also:
  Constant Field Values

### NON_TEST_ELEMENTS

    public static final String NON_TEST_ELEMENTS

See Also:
  Constant Field Values

### LISTENERS

    public static final String LISTENERS

See Also:
  Constant Field Values

### REPORT_PAGE

    public static final String REPORT_PAGE

See Also:
  Constant Field Values

### TABLES

    public static final String TABLES

See Also:
  Constant Field Values

Method Detail

### addEditMenu

    public static void addEditMenu(JPopupMenu menu,
                                   boolean removable)

### addFileMenu

    public static void addFileMenu(JPopupMenu menu)

### makeMenus

    public static JMenu makeMenus(String[] categories,
                                  String label,
                                  String actionCommand)

### getDefaultControllerMenu

    public static JPopupMenu getDefaultControllerMenu()

### getDefaultConfigElementMenu

    public static JPopupMenu getDefaultConfigElementMenu()

### getDefaultVisualizerMenu

    public static JPopupMenu getDefaultVisualizerMenu()

### getDefaultTimerMenu

    public static JPopupMenu getDefaultTimerMenu()

### getDefaultAssertionMenu

    public static JPopupMenu getDefaultAssertionMenu()

### getDefaultExtractorMenu

    public static JPopupMenu getDefaultExtractorMenu()

### makeMenu

    public static JMenu makeMenu(String category,
                                 String actionCommand)

### makeMenu

    public static JMenu makeMenu(Collection<MenuInfo> menuInfo,
                                 String actionCommand,
                                 String menuName)

### setEnabled

    public static void setEnabled(JMenu menu)

### makeMenuItem

    public static JMenuItem makeMenuItem(String label,
                                         String name,
                                         String actionCommand)

### makeMenuItem

    public static JMenuItem makeMenuItem(String label,
                                         String name,
                                         String actionCommand,
                                         KeyStroke accel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.